classification
Title: Fix optparse in unicodeless build
Type: behavior Stage: resolved
Components: Versions: Python 2.7
process
Status: closed Resolution: rejected
Dependencies: 21833 Superseder:
Assigned To: Nosy List: BreamoreBoy, aronacher, benjamin.peterson, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-06-24 07:40 by serhiy.storchaka, last changed 2017-04-20 17:06 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
optparse.patch serhiy.storchaka, 2014-06-24 07:40 review
Messages (2)
msg221426 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-24 07:40
Proposed patch fixes the optparse module and it's tests for Python built with the --disable-unicode configure option.
msg222381 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-05 23:54
I don't see much point to this as optparse has been deprecated in 2.7.
History
Date User Action Args
2017-04-20 17:06:47serhiy.storchakasetstatus: open -> closed
resolution: rejected
stage: patch review -> resolved
2014-07-05 23:54:18BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222381
2014-06-24 07:44:07serhiy.storchakasetdependencies: + Fix unicodeless build of Python
2014-06-24 07:40:12serhiy.storchakacreate